BITE-REDMINE(1)

NAME
bite-redmine - Redmine service support

SYNOPSIS

bite redmine [<options>] <command> [<args>]
    Run a redmine subcommand.

bite redmine [-h|--help]
    Output help information.

DESCRIPTION

Redmine service support.

GLOBAL OPTIONS

-v, --verbose
    Increase logging verbosity.

    Verbosity levels in increasing order are error, warning, info, debug, and trace. The default level is warning causing errors and warnings to be shown. Each -v/--verbose option specified increases the level up to the maximum so bite -vv ... runs the given subcommand at the debug level.

        Warning

        Running at the trace level leaks authentication data as it outputs raw response structures including URLs which often include injected login parameters for authenticated sessions.

-q, --quiet
    Decrease logging verbosity.

-h, --help
    Print help output and exit.

SERVICE OPTIONS

-c, --connection <name>
    Define a service connection to use.

    This can either be a pre-configured connection name or a service URL.

-C, --concurrent <value>
    Maximum number of concurrent requests to a service.

    Certain types of actions such as searching can automatically send concurrent requests to support faster result paging. By default, concurrent requests are disabled.

--certificate <path>
    Add a custom root certificate.

    This can be used to connect to a server that has a self-signed certificate without having to use --insecure. Note that this requires a PEM encoded certificate file.

-I, --insecure
    Ignore invalid service certificates when connecting.

-P, --proxy <URL>
    Use a custom proxy.

-t, --timeout <seconds>
    Set the request timeout in seconds, defaults to 30.

AUTHENTICATION

-k, --key
    Set the API key for service access.

-u, --user
    Set the username for service access.

-p, --password
    Set the password for service access.

ENVIRONMENT VARIABLES

BUGBITE_KEY
    Set the API key for service access.

BUGBITE_USER
    Set the username for service access.

BUGBITE_PASS
    Set the password for service access.

SUBCOMMANDS

bite-redmine-get(1)
    get issues

bite-redmine-search(1)
    search issues

CONFIGURATION

See the example below for a valid config including authentication information with descriptions of the custom service fields in comments:

Config example

    type = "redmine"
    name = "ruby"
    base = "https://bugs.ruby-lang.org/"
    # username for authentication
    user = "bugbite@bugbite.test"
    # password for authentication
    password = "bugbite"
    # API key for authentication
    key = "a-random-api-key"
    # maximum number of results allowed per search request
    max_search_results = 1000

SEE ALSO

bite(1)